/*  ==========================================================================
    Module: Slider
    Source: http://refreshless.com/nouislider/
    This is an adaption of the No UI Slider for jQuery
    To use this module you need the original CSS + the following styles

    needs to be updated with the styles in web4
    ========================================================================== */

    .noUi-target
    {
        border: none;
        border-radius: 4px;
        box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    }

    .noUi-horizontal
    {
        height: $slider-height;
        margin: 25px 25px;

        .noUi-handle
        {
            width: $slider-handle-width;
            height: $slider-handle-height;
            left: $slider-handle-left;
            top: $slider-handle-top;
            background-color: $slider-handle-background-color;
            border: $slider-handle-border;
            border-radius: $slider-handle-border-radius;
            box-shadow: $slider-handle-box-shadow;

            cursor: pointer;
        }
    }

    .noUi-background
    {
        background-color: $slider-background-color;
        border-radius: $slider-border-radius;
        box-shadow: $slider-box-shadow;
    }

    .noUi-connect
    {
        background-color: $slider-active-background-color;
        border-radius: $slider-active-border-radius;
    }

    .noUi-handle:before,
    .noUi-handle:after
    {
        height: $slider-handle-lines-height;
        width: $slider-handle-lines-width;
        top: $slider-handle-lines-top;
        background-color: $slider-handle-color;
    }

    .noUi-handle:before
    {
        left: $slider-handle-lines-left-left;
    }

    .noUi-handle:after
    {
        left: $slider-handle-lines-right-left;
    }

    .slider-input
    {
        text-align: right;
    }

    .slider-input:after
    {
        content: "€";
    }